Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003646DoomseekerUIpublic2019-05-02 19:262019-07-30 10:13
ReporterWubTheCaptain 
Assigned ToZalewa 
PrioritylowSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.2 
Target Version1.3Fixed in Version1.3 
Summary0003646: Create Game's "Save" button has a distinguishable icon, but "Load" button does not
DescriptionThis issue's summary is pretty self-explanatory, but see the screenshots.
Steps To Reproduce
  1. Start Doomseeker.
  2. File → Create Game (Ctrl + S).
  3. Notice the icons at bottom left (Doomseeker 1.2), or behind the "Settings" dropdown menu (Doomseeker 1.3~beta with Zalewa's Create Game UI tweaks). There's an icon for "Save", but not for "Load".
Attached Filespng file icon 2019-05-02-192511_maim.png [^] (2,346 bytes) 2019-05-02 19:26


png file icon 2019-05-02-192724_maim.png [^] (10,175 bytes) 2019-05-02 19:27

- Relationships
related to 0003636closedZalewa Create Game box - adjust UI elements to Host, Offline and Remote modes 

-  Notes
User avatar (0020616)
WubTheCaptain (developer)
2019-05-03 13:07

Will be merged later to main repository:https://bitbucket.org/zalewa/doomseeker/commits/c70bb645c8ead4e1c27f26690a877d6d11f14121 [^]
User avatar (0020621)
WubTheCaptain (developer)
2019-05-03 13:36
edited on: 2019-05-03 13:36

Since the last change (changeset 2398:4896b01d6529):

[ 19%] Built target doomseeker_autogen
[ 20%] Building CXX object src/core/CMakeFiles/doomseeker.dir/gui/createserverdialog.cpp.o
/tmp/doomseeker-zalewa/src/core/gui/createserverdialog.cpp: In member function ‘void CreateServerDialog::setupMenu()’:

/tmp/doomseeker-zalewa/src/core/gui/createserverdialog.cpp:472:35: error: invalid use of incomplete type 
‘class QStyle’
  loadConfigAction->setIcon(style()->standardIcon(QStyle::SP_DirIcon));
                                   ^~
In file included from /usr/include/x86_64-linux-gnu/qt5/QtWidgets/qdialog.h:44,
                 from /usr/include/x86_64-linux-gnu/qt5/QtWidgets/QDialog:1,
                 from /tmp/doomseeker-zalewa/src/core/gui/createserverdialog.h:29,
                 from /tmp/doomseeker-zalewa/src/core/gui/createserverdialog.cpp:23:
/usr/include/x86_64-linux-gnu/qt5/QtWidgets/qwidget.h:67:7: note: forward declaration of ‘class QStyle’
 
class QStyle;
       ^~~~~~
/tmp/doomseeker-zalewa/src/core/gui/createserverdialog.cpp:472:58: error: incomplete type ‘QStyle’ 
used in nested name specifier
  loadConfigAction->setIcon(style()->standardIcon(QStyle::SP_DirIcon));
                                                          ^~~~~~~~~~
make[2]: *** [src/core/CMakeFiles/doomseeker.dir/build.make:1204: src/core/CMakeFiles/doomseeker.dir/gui/createserverdialog.cpp.o] 
Error 1
make[1]: *** [CMakeFiles/Makefile2:330: src/core/CMakeFiles/doomseeker.dir/all] Error 2
make: *** [Makefile:152: all] Error 2


User avatar (0020623)
Zalewa (developer)
2019-05-03 13:44

I added the missing #include to the PR.
User avatar (0020624)
WubTheCaptain (developer)
2019-05-03 13:48

Quote from Zalewa
I added the missing #include to the PR.

Commit 77ee7e7e314433e64776b3bad9e82e4396a06ae1
User avatar (0020631)
Zalewa (developer)
2019-05-03 20:59

Icons and kbd shortcuts merged ashttps://bitbucket.org/Doomseeker/doomseeker/commits/0a26cf1fd3c2e465ca6eb56b485294c9a8c17aeb [^]

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2019-05-02 19:26 WubTheCaptain New Issue
2019-05-02 19:26 WubTheCaptain File Added: 2019-05-02-192511_maim.png
2019-05-02 19:27 WubTheCaptain File Added: 2019-05-02-192724_maim.png
2019-05-02 19:28 WubTheCaptain Severity feature => tweak
2019-05-02 19:29 WubTheCaptain Steps to Reproduce Updated View Revisions
2019-05-02 19:29 WubTheCaptain Relationship added related to 0003636
2019-05-03 08:39 WubTheCaptain Assigned To => Zalewa
2019-05-03 08:39 WubTheCaptain Status new => acknowledged
2019-05-03 13:07 WubTheCaptain Note Added: 0020616
2019-05-03 13:07 WubTheCaptain Status acknowledged => needs review
2019-05-03 13:36 WubTheCaptain Note Added: 0020621
2019-05-03 13:36 WubTheCaptain Status needs review => feedback
2019-05-03 13:36 WubTheCaptain Note Edited: 0020621 View Revisions
2019-05-03 13:37 WubTheCaptain Status feedback => assigned
2019-05-03 13:44 Zalewa Note Added: 0020623
2019-05-03 13:47 WubTheCaptain Status assigned => needs review
2019-05-03 13:48 WubTheCaptain Note Added: 0020624
2019-05-03 20:59 Zalewa Note Added: 0020631
2019-05-04 13:13 WubTheCaptain Status needs review => resolved
2019-05-04 13:13 WubTheCaptain Fixed in Version => 1.3
2019-05-04 13:13 WubTheCaptain Resolution open => fixed
2019-07-30 10:13 WubTheCaptain Status resolved => closed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker